Bug 493262 - Import function doesn't work when stale session variable set
Import function doesn't work when stale session variable set
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gscan2pdf (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 02:50 EDT by Penelope Fudd
Modified: 2009-12-18 04:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:10:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Penelope Fudd 2009-04-01 02:50:11 EDT
Description of problem:
One neat feature of gscan2pdf is that you can import a pdf file, and the images in that file will be turned into individual pages for further processing.

I attempted to use it today and it didn't work.

Version-Release number of selected component (if applicable):
gscan2pdf-0.9.27-3.fc10.noarch

How reproducible:
Always

Steps to Reproduce:
1. Start gscan2pdf, and kill it.
2. Delete the session directory mentioned in ~/.gscan2pdf (rm -rf /tmp/?????)
3. Start gscan2pdf
4. Attempt to import a pdf file
  
Actual results:
The dialog box comes up, but when you select a pdf file and click 'open', it just sits there.  Here is the relevant output from stderr:

gscan2pdf detected a crashed session, but was unable to restore it as it has been deleted.
touch: cannot touch `/tmp/KpZ2o9nw34/session': No such file or directory
*** unhandled exception in callback:
***   Config::GeneralThe file "/tmp/KpZ2o9nw34/session" does not exist within ConfigPath: /tmp/KpZ2o9nw34! at /usr/bin/gscan2pdf line 7560
***  ignoring at /usr/bin/gscan2pdf line 1123.

Expected results:
Importation of the pdf file.

Additional info:
I know that there was an earlier bug where gscan2pdf would crash if the session directory did not exist.  The patch was apparently to ignore the session directory, but it appears to have had this side effect.

The workaround is to edit ~/.gscan2pdf and remove the line that starts with 'session =', if the session directory doesn't exist.
Comment 1 Bernard Johnson 2009-04-05 11:41:09 EDT
I am able to reproduce this bug.  Please repost your bug report to the Sourceforge bug tracker (http://sourceforge.net/tracker/?func=add&group_id=174140&atid=868098) for gscan2pdf.
Comment 2 Bug Zapper 2009-11-18 06:39:26 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:10:08 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.